
Foreman - Feature #21287

Add resource switcher to foreman 

10/10/2017 03:43 PM - Walden Raines

Status: Duplicate   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5188

  

Description

 29722825-30a7235c-8990-11e7-9db7-496ce39bec6b.png 

We added something like this in katello and it allows the user to switch between items of the same type when they are on a "details"

page for an item.

UX is now requesting that we add the same to foreman.

History

#1 - 10/19/2017 07:56 AM - Marek Hulán

- Category set to Web Interface

#2 - 10/19/2017 01:57 PM - Walden Raines

- Assignee set to Avi Sharvit

#3 - 10/19/2017 04:07 PM - Marek Hulán

Does this go to smart proxy and host detail page only or does that imply replacing of two-pane?

#4 - 10/19/2017 05:57 PM - Walden Raines

Marek Hulán wrote:

Does this go to smart proxy and host detail page only or does that imply replacing of two-pane?

 Sorry, I need to update this with more information.

This feature involves removing two pane everywhere it exists in foreman and replacing it with breadcrumbs and the switcher.

#5 - 10/20/2017 09:43 AM - Marek Hulán

I might be late on mail/demos but was this discussed with the community? For the record, I'm not against, I'd just like to avoid surprises.

#6 - 10/25/2017 08:16 PM - Walden Raines

- Target version changed from 224 to 228

#7 - 11/21/2017 01:14 AM - Walden Raines

- Target version changed from 228 to 234

#8 - 12/12/2017 01:33 PM - Walden Raines

- Target version changed from 234 to 237

#9 - 12/12/2017 01:42 PM - Walden Raines
- Target version changed from 237 to 239

#10 - 01/03/2018 02:44 PM - Walden Raines

- Assignee changed from Avi Sharvit to Amir Fefer

#11 - 01/18/2018 06:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5188 added

#12 - 01/23/2018 02:41 PM - Walden Raines

- Target version changed from 239 to 243

#13 - 02/13/2018 02:08 PM - Walden Raines

- Target version changed from 243 to 248

#14 - 03/06/2018 01:47 PM - Walden Raines

- Target version changed from 248 to 250

#15 - 03/27/2018 03:22 PM - Walden Raines

- Target version changed from 250 to 253

#16 - 04/11/2018 01:30 PM - Walden Raines

- Status changed from Ready For Testing to Duplicate

Duplicate of #22855

#17 - 06/18/2018 08:56 PM - Walden Raines

- Target version deleted (253)
